/*
   Mini XML lib PLUS for C++

   Test for attribute class

   Author: Giancarlo Niccolai <gian@niccolai.ws>

   $Id: testattrib.cpp,v 1.1.1.1 2003/08/13 00:13:28 jonnymind Exp $
*/

#include <mxml_attribute.h>
#include <mxml_error.h>
#include <mxml.h>
#include <iostream>

int main( int argc, char * argv[] )
{
   std::cout << "Please insert a valid XML attribute definition" << std::endl;


   try {
      MXML::Attribute attr( std::cin );
      std::cout <<"Escaped   :" << attr << std::endl;
      std::cout <<"Unescaped :";
      attr.write( std::cout, MXML_STYLE_NOESCAPE );
      std::cout << std::endl;
   }
   catch( MXML::Error &er )
   {
      std::cout << std::endl << er << std::endl;
   }


   return 0;
}
