/*
   Mini XML lib PLUS for C++

   Test for node class

   Author: Giancarlo Niccolai <gian@niccolai.ws>

   $Id: testnode.cpp,v 1.1.1.1 2003/08/13 00:13:28 jonnymind Exp $
*/

#include <mxml_attribute.h>
#include <mxml_node.h>
#include <mxml_error.h>
#include <mxml.h>
#include <iostream>

int main( int argc, char * argv[] )
{
   std::cout << "Please insert a valid XML node definition" << std::endl;

   try {
      std::cin.unsetf( std::ios_base::skipws );
      MXML::Node node( std::cin );
      std::cout <<"Escaped   :" << node << std::endl;
      std::cout <<"Unescaped :";
      node.write( std::cout, MXML_STYLE_INDENT | MXML_STYLE_NOESCAPE );
   }
   catch( MXML::Error &er )
   {
      std::cout << std::endl << er << std::endl;
   }


   return 0;
}
